vscode 데코레이터 ... 'experimentalDecorators' 옵션을 설정하세요.ts(1219)

요즘 visual studio code 업데이트 잦아지며, 별 희안한 경고까지 다 뜨네요. 


class AppModule

데코레이터에 대한 실험적 지원 기능은 이후 릴리스에서 변경될 수 있습니다. 이 경고를 제거하려면 'experimentalDecorators' 옵션을 설정하세요.ts(1219)


문제 보기 (<Alt>+F8) 빠른 수정을 사용할 수 없음


해결 방법은 간단합니다. 파일 - 기본설정 - 설정 - 설정 검색 "javascript.implicitProjectConfig.experimentalDecorators"


설정 검색하면, JavaScript › Implicit Project Config: Experimental Decorators 항목이 뜨는데요.


체크 설정을 해주세요.


프로젝트의 일부가 아닌 JavaScript 파일에 대해 'experimentalDecorators'를 사용하거나 사용하지 않도록 설정합니다. 기존 jsconfig.json 또는 tsconfig.json 파일은 이 설정을 재정의합니다. 작업 영역에서 TypeScript 2.3.1 이상을 사용해야 합니다.


경우에 따라선 이런 경고도 뜨는데 어쨌든 Experimental Decorator 이 옵션을 체크 설정하면 됩니다.




댓글(0)

Designed by JB FACTORY